uses grpfile;
var grp:TGrpStream;
    s:string;
    b:boolean;
    a:longint;
    mapa:tgrpmapa;

begin
s:='cour.fn';
{s:='forest.grp';}
grp.Init(s,grpOpenRead);
b:=grp.Jsem_ja_grp;
a:=grp.Kolik_ja_mam_v_grp;

writeln('Soubor: ',s);
writeln('Jde o GRP? : ',b);
writeln('pocet archovovanych souboru: ',a);

grp.Jak_ja_obsahuju_cislovane_soubory(mapa);

writeln('cislovanych souboru: ',mapa.num);

for a:=1 to mapa.num do
    writeln(mapa.zaznam^[a].oznaceni,' : ',mapa.zaznam^[a].nazev);

readln;
end.
